# MimeType

@Serializable(with = MimeTypeSerializer::class )
interface MimeType (source)

Represents a MIME type (Multipurpose Internet Mail Extensions type). A MIME type is a standard way to indicate the nature and format of a document, file, or assortment of bytes.

Examples: "text/html", "application/json", "image/png"

#### Inheritors

CustomMimeType
KnownMimeTypes
Any
Application
Audio
Chemical
Image
Message
Model
Text
Video
XConference

## Properties

extensions
Link copied to clipboard
open val extensions : Array < String >

An array of file extensions commonly associated with this MIME type. For example, "text/html" might have extensions "html", "htm". Returns an empty array by default if no extensions are known.

raw
Link copied to clipboard
abstract val raw : String

The raw MIME type string (e.g., "text/html", "application/json").